VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | Properties
VisimBuilder.ObjectCreation.ObjectCreationBase Class Reference
Inheritance diagram for VisimBuilder.ObjectCreation.ObjectCreationBase:

List of all members.

## Public Member Functions
| ObjectCreationBase ()
virtual void | Init (MainBuilderForm boss)
virtual Node | ObjectCreation (string name, ITransformation itrans, Node owner)
virtual void | CreateObject ()
virtual void | CreateObject (object sender, EventArgs e)
virtual void | SetDefault ()
## Public Attributes
MainBuilderForm | Boss
## Protected Member Functions
virtual void | Boss_SelectedNodeChanged ()
override void | OnLoad (EventArgs e)
override void | Dispose (bool disposing)
| Clean up any resources being used.
## Protected Attributes
Transformation | trans
MainBuilderForm.NodeChangedCallback | NodeCallback
System.Windows.Forms.Label | labelObjectName
System.Windows.Forms.TextBox | textBoxName
System.Windows.Forms.GroupBox | groupBoxTransformations
TransformationControl | transformationControl1
System.Windows.Forms.CheckBox | checkBoxDoTrans
System.Windows.Forms.CheckBox | checkBoxScale
System.Windows.Forms.CheckBox | checkBoxRot
System.Windows.Forms.Button | buttonCreate
System.Windows.Forms.GroupBox | groupBox3
System.Windows.Forms.Button | buttonChooseNodeOwner
System.Windows.Forms.CheckBox | checkBoxToSelected
System.Windows.Forms.CheckBox | checkBoxToRoot
System.Windows.Forms.Button | buttonDefault
System.Windows.Forms.Label | labelSelected
## Properties
bool | DisableScale`[get, set]`
bool | DisableRotation`[get, set]`

## Constructor & Destructor Documentation

VisimBuilder.ObjectCreation.ObjectCreationBase.ObjectCreationBase | ( |  | ) |

## Member Function Documentation

virtual void VisimBuilder.ObjectCreation.ObjectCreationBase.Boss_SelectedNodeChanged | ( |  | ) | `[protected, virtual]`

virtual void VisimBuilder.ObjectCreation.ObjectCreationBase.CreateObject | ( |  | ) | `[virtual]`

virtual void VisimBuilder.ObjectCreation.ObjectCreationBase.CreateObject | ( | object | sender,
|  | EventArgs | e
| ) |  | `[virtual]`

Reimplemented in VisimBuilder.ObjectCreation.CameraCreator.

override void VisimBuilder.ObjectCreation.ObjectCreationBase.Dispose | ( | bool | disposing | ) | `[protected]`

Clean up any resources being used.

Parameters:

  disposing | true if managed resources should be disposed; otherwise, false.

Reimplemented in VisimBuilder.ObjectCreation.BoxCreation, VisimBuilder.ObjectCreation.CameraCreator, VisimBuilder.ObjectCreation.LightCreator, VisimBuilder.ObjectCreation.ObjectCreationBasePhysical, VisimBuilder.ObjectCreation.PyramidCreation, VisimBuilder.ObjectCreation.QuadCreation, VisimBuilder.ObjectCreation.RingCreation, VisimBuilder.ObjectCreation.SkyboxCreator, and VisimBuilder.ObjectCreation.SphereCreation.

virtual void VisimBuilder.ObjectCreation.ObjectCreationBase.Init | ( | MainBuilderForm | boss | ) | `[virtual]`

Reimplemented in VisimBuilder.ObjectCreation.ObjectCreationBasePhysical, and VisimBuilder.ObjectCreation.SkyboxCreator.

virtual Node VisimBuilder.ObjectCreation.ObjectCreationBase.ObjectCreation | ( | string | name,
|  | ITransformation | itrans,
|  | Node | owner
| ) |  | `[virtual]`

Reimplemented in VisimBuilder.ObjectCreation.ObjectCreationBasePhysical.

override void VisimBuilder.ObjectCreation.ObjectCreationBase.OnLoad | ( | EventArgs | e | ) | `[protected]`

Reimplemented in VisimBuilder.ObjectCreation.ObjectCreationBasePhysical.

virtual void VisimBuilder.ObjectCreation.ObjectCreationBase.SetDefault | ( |  | ) | `[virtual]`

Reimplemented in VisimBuilder.ObjectCreation.BoxCreation, VisimBuilder.ObjectCreation.CameraCreator, VisimBuilder.ObjectCreation.LightCreator, VisimBuilder.ObjectCreation.ObjectCreationBasePhysical, VisimBuilder.ObjectCreation.PyramidCreation, VisimBuilder.ObjectCreation.QuadCreation, VisimBuilder.ObjectCreation.RingCreation, VisimBuilder.ObjectCreation.SkyboxCreator, and VisimBuilder.ObjectCreation.SphereCreation.

## Member Data Documentation

MainBuilderForm VisimBuilder.ObjectCreation.ObjectCreationBase.Boss

System.Windows.Forms.Button VisimBuilder.ObjectCreation.ObjectCreationBase.buttonChooseNodeOwner`[protected]`

System.Windows.Forms.Button VisimBuilder.ObjectCreation.ObjectCreationBase.buttonCreate`[protected]`

System.Windows.Forms.Button VisimBuilder.ObjectCreation.ObjectCreationBase.buttonDefault`[protected]`

System.Windows.Forms.CheckBox VisimBuilder.ObjectCreation.ObjectCreationBase.checkBoxDoTrans`[protected]`

System.Windows.Forms.CheckBox VisimBuilder.ObjectCreation.ObjectCreationBase.checkBoxRot`[protected]`

System.Windows.Forms.CheckBox VisimBuilder.ObjectCreation.ObjectCreationBase.checkBoxScale`[protected]`

System.Windows.Forms.CheckBox VisimBuilder.ObjectCreation.ObjectCreationBase.checkBoxToRoot`[protected]`

System.Windows.Forms.CheckBox VisimBuilder.ObjectCreation.ObjectCreationBase.checkBoxToSelected`[protected]`

System.Windows.Forms.GroupBox VisimBuilder.ObjectCreation.ObjectCreationBase.groupBox3`[protected]`

System.Windows.Forms.GroupBox VisimBuilder.ObjectCreation.ObjectCreationBase.groupBoxTransformations`[protected]`

System.Windows.Forms.Label VisimBuilder.ObjectCreation.ObjectCreationBase.labelObjectName`[protected]`

System.Windows.Forms.Label VisimBuilder.ObjectCreation.ObjectCreationBase.labelSelected`[protected]`

MainBuilderForm.NodeChangedCallback VisimBuilder.ObjectCreation.ObjectCreationBase.NodeCallback`[protected]`

System.Windows.Forms.TextBox VisimBuilder.ObjectCreation.ObjectCreationBase.textBoxName`[protected]`

Transformation VisimBuilder.ObjectCreation.ObjectCreationBase.trans`[protected]`

TransformationControl VisimBuilder.ObjectCreation.ObjectCreationBase.transformationControl1`[protected]`

## Property Documentation

bool VisimBuilder.ObjectCreation.ObjectCreationBase.DisableRotation`[get, set]`

bool VisimBuilder.ObjectCreation.ObjectCreationBase.DisableScale`[get, set]`

The documentation for this class was generated from the following files:

- ObjectCreationBase.cs
- ObjectCreationBase.Designer.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events